% ==============================================
%
% Gating
%
% CBP 14-10-18 
% Status Devel
%
% Gating a continuous variable
%
% ===============================================

% Global variables to pass to the rhs function
global tau1 valPulseStart valPulseEnd valPulseHeight ...
            gatePulseStart gatePulseEnd gatePulseHeight
            
% Input parameters from user
valPulseStart = 1;
valPulseEnd = 5;
valPulseHeight = input('Input value pulse height');

gatePulseStart = 2.5;
gatePulseEnd = 4.5;
gatePulseHeight = 1.0
tau1 = 0.1


% Specify start and end times for the computation
tstart = 0;
tend = 6;

% Specify the initial values of the neurons
uinit = [0];

% Set options for the calculation - do not change
options = odeset('RelTol',1e-6,'AbsTol',1e-6,'InitialStep',tend/1e4,'MaxStep',tend/1e4);
% start the calculation - do not change
[t,u] = ode45(@rhs_Gating,[tstart,tend],uinit,options);

% Get the neuron states
u1 = u(:,1);

% Calc neuron output if necessary


valPulse = myPulse(valPulseStart,valPulseEnd,valPulseHeight,t);
gatePulse = myPulse(gatePulseStart,gatePulseEnd,gatePulseHeight,t);

% Now display the variables
subplot(3,1,1);
plot(t,valPulse,'r','linewidth',2);
title('Input to neuron u1');
subplot(3,1,2);
plot(t,gatePulse,'r','linewidth',2);
title('Gate Pulse to u1');
subplot(3,1,3);
plot(t,u1,'b','linewidth',2);
title('neuron state u1');

