% ==============================================
%
% IfThenElseApplied
%
% CBP 14-10-18 
% Status Devel
%
% Application of if-then-else to setting variables
%
% ===============================================

% Global variables to pass to the rhs function
global tau1 pulseStart pulseEnd pulseHeight I1 I2 thresh

% Input parameters from user
% pulseStart = input('Input pulse start time');
% pulseEnd = input('Input pulse end time');
pulseHeight = input('Input pulse height');
thresh = input('Input threshold in the statement condition ');
I1 = input('Input value to be assigned for IF ');
I2 = input('Input value to be assigned for ELSE ');

%initU1 = input('Input initial neuron value');
initU1 = 0;
pulseStart = 2;
pulseEnd = 4;
% pulseHeight = 1;
tau1 = 0.1;

% Specify start and end times for the computation
tstart = 0;
%tend = input('Input t end');
tend = 6;

% Specify the initial values of the neurons
uinit = [initU1,0,0];

% Set options for the calculation - do not change
options = odeset('RelTol',1e-6,'AbsTol',1e-6,'InitialStep',tend/1e4,'MaxStep',tend/1e4);
% start the calculation - do not change
[t,u] = ode45(@rhs_IfThenElseApplied,[tstart,tend],uinit,options);

% Get the neuron states
u1 = u(:,1);
u2 = u(:,2);
u3 = u(:,3);

% Calc neuron output if necessary
o1 = g(u1,thresh);
o2 = g(u2,0.5);

pulse = myPulse(pulseStart,pulseEnd,pulseHeight,t);

% Now display the variables
subplot(4,1,1);
plot(t,pulse,'r','linewidth',2);
title('Input To neuron');

subplot(4,1,2);
plot(t,o1,'g','linewidth',2);
title('o1 (IF-neuron)');

subplot(4,1,3);
plot(t,o2,'g','linewidth',2);
title('o2 (ELSE-neuron)');

subplot(4,1,4);
plot(t,u3,'m','linewidth',2);
title('u3 (gated output)');