% ==============================================
%
% Single Pulse
%
% Single Neuron with a pulse input
%
% CBP 10-10-18 
% Status Release
%
% ===============================================

% Global variables to pass to the rhs function
global tau1 pulseStart pulseEnd pulseHeight I

% Input parameters from user
pulseStart = input('Input pulse start time');
pulseEnd = input('Input pulse end time');
pulseHeight = input('Input pulse height');
tau1 = input('Input tau');

initU1 = input('Input Initial state value for u1');

% Specify start and end times for the computation
tstart = 0;
tend = input('Input t end');

% Specify the initial values of the neurons
uinit = [initU1];

% Set options for the calculation - do not change
options = odeset('RelTol',1e-6,'AbsTol',1e-6,'InitialStep',tend/1e4,'MaxStep',tend/1e4);
% start the calculation - do not change
[t,u] = ode45(@rhs_SinglePulse,[tstart,tend],uinit,options);

% Get the neuron states
u1 = u(:,1);

% Calc neuron output if necessary


% Generate the pulse used in the rhs for display
pulse = myPulse(pulseStart,pulseEnd,pulseHeight,t);

% Now display the variables
subplot(2,1,1);
plot(t,pulse,'r','linewidth',2);
title('Pulse');

subplot(2,1,2);
plot(t,u1,'b','linewidth',2);
title('u1 state');


