% ==============================================
%
% SingleThresholdTest
%
% CBP 14-10-18 
% Status Devel
%
% Single Neuron with threshold
%
% ===============================================

% Global variables to pass to the rhs function
global tau1 pulseStart pulseEnd pulseHeight I thresh

% Input parameters from user
pulseStart = 2;
pulseEnd = 4;
pulseHeight = 0.8;
thresh = input('Input threshold 0< theta < 1 ');
tau1 = 0.1;


% Specify start and end times for the computation
tstart = 0;
tend = 6;

% Specify the initial values of the neurons
uinit = [0];

% Set options for the calculation - do not change
options = odeset('RelTol',1e-6,'AbsTol',1e-6,'InitialStep',tend/1e4,'MaxStep',tend/1e4);
% start the calculation - do not change
[t,u] = ode45(@rhs_SingleThresholdTest,[tstart,tend],uinit,options);

% Get the neuron states
u1 = u(:,1);

% Calc neuron output if necessary
o1 = g(u1,thresh);

pulse = myPulse(pulseStart,pulseEnd,pulseHeight,t);

% Now display the variables
subplot(3,1,1);
plot(t,pulse,'r','linewidth',2);
grid();
title('Pulse');
subplot(3,1,2);
plot(t,u1,'b','linewidth',2);
grid();
title('state variable u1');
subplot(3,1,3);
plot(t,o1,'g','linewidth',2);
grid();
title('Output o1');

