% =====================================================
%
% Solve_Hopf
% CBP 27-12-21
%
% =====================================================

clear all;

global alpha mu omega

tau = 1;

% Specify start and end times for the computation
tstart = 0;
% tend = input('Input t end');
tend = 10;

% Baseline params
alpha = 5
mu = 1
omega = pi
% User params
alpha = input('Input alpha ');
mu = input('Input mu ');
omega = input('Input omega ');

% Specify the initial values of the neurons
uinit = [0.01,0];

% Set options for the calculation - do not change
options = odeset('RelTol',1e-6,'AbsTol',1e-6,'InitialStep',tend/1e4,'MaxStep',tend/1e4);
% start the calculation - do not change
printf(" --------------- calculating ----------- \n");
[t,u] = ode45(@rhs_Hopf,[tstart,tend],uinit,options);

% Get the neuron states
u1 = u(:,1);
u2 = u(:,2);

% get mins and maxs for axis scaling
mi1 = 1.2*min(u1);
ma1 = 1.2*max(u1);
mi2 = 1.2*min(u2);
ma2 = 1.2*max(u2);
% -------------- Figure setup-------------------
f1 = figure(1);
clf(f1);
sp1 = axes(f1);
axis(sp1,[mi2,ma2,mi1,ma1]);
axis('square');
 
title(sp1,'Phase Plane');
ylabel(sp1,'u1');
xlabel(sp1,'u2');
hold(sp1);

f2 = figure(2);
clf(f2);
sp2 = axes(f2);
axis(sp2,[0,max(t),mi1,ma1]); 
  
title(sp2,'u1 - time Plot');
xlabel(sp2,'time');
ylabel(sp2,'u1');
hold(sp2);

% ---------------------------------------------
printf(" --------------- plotting ----------- \n");
plot(sp2,t,u1)
plot(sp1,u2,u1)

