% =====================================================
%
% Solve_Phase_Lag_1
% CBP 27-12-21
% Single phase lag neuron
%
% =====================================================

clear all;

global tau period k

% Specify start and end times for the computation
tstart = 0;
% tend = input('Input t end');
tend = 6;
%tt = [tstart:(tend-tstart)/100:tend];

period = 2.0
omega = 2*pi/period;
phaseLagDeg = input('Input desired phase lag (degrees) ');
phaseLag = phaseLagDeg*pi/180;
tau = tan(phaseLag)/omega;

k = 1;
choice = input('Input 1 to correct amplitude, else 0 ');
if choice == 1
  k = sqrt(1 + (tau*omega)^2);
endif

printf("Parameters: tau = %f, k = %f\n",tau,k);

% Specify the initial values of the neurons
uinit = [0.01];

% Set options for the calculation - do not change
options = odeset('RelTol',1e-6,'AbsTol',1e-6,'InitialStep',tend/1e4,'MaxStep',tend/1e4);
% start the calculation - do not change
printf(" --------------- calculating ----------- \n");
[t,u] = ode45(@rhs_Phase_Lag_1,[tstart,tend],uinit,options);

% Get the neuron states
u1 = u(:,1);
% Calc the input using actual time
I = sin(2*pi*t/period);
printf(" --------------- plotting ----------- \n");
plot(t,I,t,u1);
title('Phase Lag Neuron');
xlabel('Time (secs)');
ylabel('Input to (blue) and output from( red) neuron');
grid
