% =====================================================
%
% Solve_Phase_Lag_3
% CBP 27-12-21
% Phase lag spread over 3 neurons
%
% =====================================================


global tau period k

clear all;

% Specify start and end times for the computation
tstart = 0;
% tend = input('Input t end');
tend = 10;
%tt = [tstart:(tend-tstart)/100:tend];

period = 2.0
omega = 2*pi/period;
phaseLagDeg = input('Input desired phase lag (degrees) ');
phaseLag = phaseLagDeg*pi/180;
tau = tan(phaseLag/3)/omega;

k = sqrt(1 + (tau*omega)^2);

printf("Parameters: tau = %f, k = %f\n",tau,k);

% Specify the initial values of the neurons
uinit = [0,0,0];

% Set options for the calculation - do not change
options = odeset('RelTol',1e-6,'AbsTol',1e-6,'InitialStep',tend/1e4,'MaxStep',tend/1e4);
% start the calculation - do not change
printf(" --------------- calculating ----------- \n");
[t,u] = ode45(@rhs_Phase_Lag_3,[tstart,tend],uinit,options);

% Get the neuron states
u1 = u(:,1);
u2 = u(:,2);
u3 = u(:,3);
% Calc the input using actual time
I = sin(2*pi*t/period);
printf(" --------------- plotting ----------- \n");

figure(1)
plot(t,I,t,u1,t,u2,t,u3);
title('Phase Lag Neuron');
xlabel('Time (secs)');
ylabel('Input to (blue) and output fromall three lag neurons');
grid
figure(2)
plot(t,I,t,u3);
title('Phase Lag Neuron');
xlabel('Time (secs)');
ylabel('Input to (blue) and output from( red) neuron');
grid
