% ==============================================
%
% TwoSensorAdd Addition of two sensory inputs
%
% CBP 10-10-18 
% Status Devel
%
% ===============================================

% Global variables to pass to the rhs function
global tau1 I1 I2

% Input parameters from user

I1 = input('Input sensor neuron 1 value');
I2 = input('Input sensor neuron 2 value');

tau1 = 0.1

% Initial values of neuron states
initU1 = 0;
initU2 = 0;
initU3 = 0;

% Specify start and end times for the computation
tstart = 0;
tend = 2.0

% Specify the initial values of the neurons
uinit = [initU1,initU2,initU3];

% Set options for the calculation - do not change
options = odeset('RelTol',1e-6,'AbsTol',1e-6,'InitialStep',tend/1e4,'MaxStep',tend/1e4);
% start the calculation - do not change
[t,u] = ode45(@rhs_TwoSensorAdd,[tstart,tend],uinit,options);

% Get the neuron states
u1 = u(:,1);
u2 = u(:,2);
u3 = u(:,3);

% Now display the variables
subplot(3,1,1);
plot(t,u1,'b','linewidth',2);
title('sensory Neuron 1');
subplot(3,1,2);
plot(t,u2,'b','linewidth',2);
title('Sensory Neuron 2');
subplot(3,1,3);
plot(t,u3,'b','linewidth',2);
title('Output Neuron (sum)');
