% ==============================================
%
% rhs_Gating
%
% CBP 12-10-18 
% Status Devel
%
% ===============================================

function dudt=rhs_Gating(t,u)

% declare the shared global variables 
global tau1 valPulseStart valPulseEnd valPulseHeight ...
            gatePulseStart gatePulseEnd gatePulseHeight

% create local variable for the dudt's
dudt = zeros(1,1);

% Now the pulse
valPulse = pulse(valPulseStart,valPulseEnd,valPulseHeight,t);
gatePulse = pulse(gatePulseStart,gatePulseEnd,gatePulseHeight,t);

dudt(1) = ( -u(1) + valPulse*gatePulse)/tau1;

endfunction

% Function to be used in the rhs if needed

function retVal = g(x, theta)
  if( x  < theta )
    retVal = 0;
  else
    retVal = 1;
  endif
endfunction

