% ==============================================
%
% rhs_ShuntingThreeMax.m
%
% CBP 18-10-18
% Winner Take All  Fukai (1997)
%
% ===============================================

function dudt=rhs_ShuntingThreeMax(t,u)
  
% declare the shared global variables 
global tau I1 I2 I3 k eps

dudt = zeros(4,1);

% Create the inputs
pulse1 = pulse(2,4,I1,t);
pulse2 = pulse(2,4,I2,t);
pulse3 = pulse(2,4,I3,t);

% The neuron dynamics from the previous task
dudt(1) = (u(1)*(1 - u(1) - k*u(2) - k*u(3) + pulse1 ) + eps)/tau;
dudt(2) = (u(2)*(1 - u(2) - k*u(1) - k*u(3) + pulse2 ) + eps)/tau;
dudt(3) = (u(3)*(1 - u(3) - k*u(1) - k*u(2) + pulse3 ) + eps)/tau;

% Adding the outputs and subtracting 1.0 to drive neuron 4
dudt(4) = (-u(4) + u(1) + u(2) + u(3) - 1)/tau;

endfunction

% Function to be used in the rhs if needed
function retval = sig(x,A,B)
  retval = 1/(1+exp(-A*(x-B)));
endfunction
