% ==============================================
%
% rhs_ShuntingTwo.m
%
% CBP 18-10-18
% Winner Take All  Fukai (1997)
%
% ===============================================

function dudt=rhs_ShuntingTwo(t,u)
  
% declare the shared global variables 
global tau I1 I2 k eps

dudt = zeros(2,1);

% Create the inputs
pulse1 = pulse(2,5,I1,t);
pulse2 = pulse(2,5,I2,t);

% Now the neuron dynamics
dudt(1) = (u(1)*(1 - u(1) - k*u(2) + pulse1 ) + eps)/tau;
dudt(2) = (u(2)*(1 - u(2) - k*u(1) + pulse2 ) + eps)/tau;


endfunction

% Function to be used in the rhs if needed
function retval = g(x,A,B)
  retval = 1/(1+exp(-A*(x-B)));
endfunction
